package com.fjhx.purchase.service.subscribe;

import com.fjhx.purchase.entity.subscribe.dto.SubscribeDetailDto;
import com.fjhx.purchase.entity.subscribe.dto.SubscribeDetailSelectDto;
import com.fjhx.purchase.entity.subscribe.po.Subscribe;
import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.subscribe.vo.SubscribeVo;
import com.fjhx.purchase.entity.subscribe.dto.SubscribeSelectDto;
import com.fjhx.purchase.entity.subscribe.dto.SubscribeDto;

import java.util.List;


/**
 * <p>
 * 申购单 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-03
 */
public interface SubscribeService extends BaseService<Subscribe> {

    /**
     * 申购单分页
     */
    Page<SubscribeVo> getPage(SubscribeSelectDto dto);

    /**
     * 申购单明细
     */
    Subscribe detail(Long id);
    /**
     * 申购单明细 维多利亚
     */
    Subscribe detailByWdly(Long id);

    /**
     * 申购单新增
     */
    void add(Subscribe subscribe);

    /**
     * 申购单编辑
     */
    void edit(SubscribeDto subscribeDto);

    /**
     * 申购单删除
     */
    void delete(Long id);

    /**
     * 获取待采购所有产品的部门列表
     * @return
     */
    List<SysDept> getDepts(SubscribeDetailSelectDto subscribeDetailDto);

}
